Batch deletes stores.
HTTP request
POST https://foodorderingaiagent.googleapis.com/v1beta/{parent=projects/*/locations/*/brands/*}/stores:batchDelete
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource shared by all stores being deleted. Format: projects/{project}/locations/{location}/brands/{brand} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "names": [ string ] } |
| Fields | |
|---|---|
names[] |
Required. The names of the stores to delete. A maximum of 1000 stores can be deleted in a batch. Format: projects/{project}/locations/{location}/brands/{brand}/stores/{store} |
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.